from parallels.core.connections.connections import Connections
from parallels.core.utils.config_utils import ConfigSection


class MailConnections(Connections):
    def _get_source_config_section_names(self):
        """Get names of sections describing sources of data

        :rtype: list[str | unicode]
        """
        return []

    def get_target_domain_name(self):
        config_section = ConfigSection(self._global_context.config, 'mail')
        return config_section.get('target-domain')
